Subject: Re: [rrg] Folks might be interested in these comments [[email-masked]: [IP] ...

From: [email-masked]
Date: Fri, 14 Nov 2008 03:15:37 EST

In einer eMail vom 14.11.2008 04:59:05 Westeuropäische Normalzeit schreibt  
[email-masked]:

What I  understand is that en EID could be
considered as a "name" under the book's  nomenclature (a terrible format for
a name, but you can always translate it  to something you like) and a RLOC is
an "address". 
Yes. You are 100 % right. IMO, a lot of trouble is due to mixed  up 
terminology.
 
EID is clearly endpoint identifier. 
RLOC (this is so far only my opinion) ought to identify LOCATION. You call  
it "address" i.e. with quotes meaning real address.
Indeed IPv4 addresses (as well as IPv6 addresses) are values of the  EID.
 
On a postal letter  we would write name + address of the  receiver.
On an email letter I would prefer to write EID:= IPv4-addr or IPv6-addr or  
host name or..
and RLOC:= geolocation-id
 
>  In fact, the ugliness of "NAT" is directly 
> related to  how, uh, "unfortunate" the underlying architecture really 
>  is.
 
I would rather say " how terrible wrong" the underlying archtecture  really 
is". An archtecture which tries to update the entire internet whenever  some 
user moves to another place would be impossible for a postal service and it  is 
not any better just because the internet runs with electronic speed. The  
wasted time for producing and dealing with the update churn could be used for  
much much better things.
 
Heiner

_______________________________________________
rrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/rrg